//----------------------------------------------------------------------------
//  Project Animals
//  Borland International
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Animals Application
//  FILE:         AnmlsDlC.h
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TAnimalsDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(anmlsdlc_h)              // Sentry, use file only if it's not already included.
#define anmlsdlc_h

//#include "BeastWin.rh"                  // Definition of all resources.


__OWLFX_DECLCLASS(TDBStatic);
__OWLFX_DECLCLASS(TDBBlobImage);

//{{TDialog = TAnimalsDlgClient}}
class TAnimalsDlgClient : public TDialog{
  public:
    TAnimalsDlgClient(TWindow* parent);
    virtual ~TAnimalsDlgClient();

  // Create a table for the table and find its record buffer.
  TDewTable Table;

	TDBStatic*		StaticName;
	TDBStatic*		StaticSize;
	TDBStatic*		StaticWeight;
	TDBStatic*		StaticWhere;
	TDBBlobImage* StaticImage;

//{{TAnimalsDlgClientRSP_TBL_BEGIN}}
	protected:
		void EvCommandFirst();
		void EvCommandenableFirst(TCommandEnabler& tce);
		void EvCommandPrev();
		void EvCommandenablePrev(TCommandEnabler& tce);
		void EvCommandNext();
		void EvCommandenableNext(TCommandEnabler& tce);
		void EvCommandLast();
		void EvCommandenableLast(TCommandEnabler& tce);
//{{TAnimalsDlgClientRSP_TBL_END}}

	DECLARE_RESPONSE_TABLE(TAnimalsDlgClient);
//{{TAnimalsDlgClientVIRTUAL_BEGIN}}
	public:
		virtual void SetupWindow();
//{{TAnimalsDlgClientVIRTUAL_END}}
};    //{{TAnimalsDlgClient}}


#endif  // anmlsdlc_h sentry.
